> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Traffic

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /repos/{owner}/{repo}/traffic/clones`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/traffic#get-repository-clones) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get repository clones
* [`GET /repos/{owner}/{repo}/traffic/popular/paths`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/traffic#get-top-referral-paths) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get top referral paths
* [`GET /repos/{owner}/{repo}/traffic/popular/referrers`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/traffic#get-top-referral-sources) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get top referral sources
* [`GET /repos/{owner}/{repo}/traffic/views`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/traffic#get-page-views) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get page views
